[
    {
        "name": "cache/adapter-common",
        "version": "1.1.0",
        "version_normalized": "1.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-cache/adapter-common.git",
            "reference": "6320bb5f5574cb88438059b59f8708da6b6f1d32"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-cache/adapter-common/zipball/6320bb5f5574cb88438059b59f8708da6b6f1d32",
            "reference": "6320bb5f5574cb88438059b59f8708da6b6f1d32",
            "shasum": ""
        },
        "require": {
            "cache/tag-interop": "^1.0",
            "php": "^5.6 || ^7.0",
            "psr/cache": "^1.0",
            "psr/log": "^1.0",
            "psr/simple-cache": "^1.0"
        },
        "require-dev": {
            "cache/integration-tests": "^0.16",
            "phpunit/phpunit": "^5.7.21"
        },
        "time": "2018-07-08T13:04:33+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cache\\Adapter\\Common\\": ""
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Aaron Scherer",
                "email": "aequasi@gmail.com",
                "homepage": "https://github.com/aequasi"
            },
            {
                "name": "Tobias Nyholm",
                "email": "tobias.nyholm@gmail.com",
                "homepage": "https://github.com/Nyholm"
            }
        ],
        "description": "Common classes for PSR-6 adapters",
        "homepage": "http://www.php-cache.com/en/latest/",
        "keywords": [
            "cache",
            "psr-6",
            "tag"
        ]
    },
    {
        "name": "cache/filesystem-adapter",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-cache/filesystem-adapter.git",
            "reference": "d50680b6dabbe39f9831f5fc9efa61c09d936017"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-cache/filesystem-adapter/zipball/d50680b6dabbe39f9831f5fc9efa61c09d936017",
            "reference": "d50680b6dabbe39f9831f5fc9efa61c09d936017",
            "shasum": ""
        },
        "require": {
            "cache/adapter-common": "^1.0",
            "league/flysystem": "^1.0",
            "php": "^5.6 || ^7.0",
            "psr/cache": "^1.0",
            "psr/simple-cache": "^1.0"
        },
        "provide": {
            "psr/cache-implementation": "^1.0"
        },
        "require-dev": {
            "cache/integration-tests": "^0.16",
            "phpunit/phpunit": "^5.7.21"
        },
        "time": "2017-07-16T21:09:25+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cache\\Adapter\\Filesystem\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Aaron Scherer",
                "email": "aequasi@gmail.com",
                "homepage": "https://github.com/aequasi"
            },
            {
                "name": "Tobias Nyholm",
                "email": "tobias.nyholm@gmail.com",
                "homepage": "https://github.com/Nyholm"
            }
        ],
        "description": "A PSR-6 cache implementation using filesystem. This implementation supports tags",
        "homepage": "http://www.php-cache.com/en/latest/",
        "keywords": [
            "cache",
            "filesystem",
            "psr-6",
            "tag"
        ]
    },
    {
        "name": "cache/tag-interop",
        "version": "1.0.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-cache/tag-interop.git",
            "reference": "c7496dd81530f538af27b4f2713cde97bc292832"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-cache/tag-interop/zipball/c7496dd81530f538af27b4f2713cde97bc292832",
            "reference": "c7496dd81530f538af27b4f2713cde97bc292832",
            "shasum": ""
        },
        "require": {
            "php": "^5.5 || ^7.0",
            "psr/cache": "^1.0"
        },
        "time": "2017-03-13T09:14:27+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "2.0-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Cache\\TagInterop\\": ""
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Tobias Nyholm",
                "email": "tobias.nyholm@gmail.com",
                "homepage": "https://github.com/Nyholm"
            },
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com",
                "homepage": "https://github.com/nicolas-grekas"
            }
        ],
        "description": "Framework interoperable interfaces for tags",
        "homepage": "http://www.php-cache.com/en/latest/",
        "keywords": [
            "cache",
            "psr",
            "psr6",
            "tag"
        ]
    },
    {
        "name": "electrolinux/phpquery",
        "version": "0.9.6",
        "version_normalized": "0.9.6.0",
        "source": {
            "type": "git",
            "url": "https://github.com/electrolinux/phpquery.git",
            "reference": "6cb8afcfe8cd4ce45f2f8c27d561383037c27a3a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/electrolinux/phpquery/zipball/6cb8afcfe8cd4ce45f2f8c27d561383037c27a3a",
            "reference": "6cb8afcfe8cd4ce45f2f8c27d561383037c27a3a",
            "shasum": ""
        },
        "time": "2013-03-21T12:39:33+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "classmap": [
                "phpQuery/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Tobiasz Cudnik",
                "email": "tobiasz.cudnik@gmail.com",
                "homepage": "https://github.com/TobiaszCudnik",
                "role": "Developer"
            },
            {
                "name": "didier Belot",
                "role": "Packager"
            }
        ],
        "description": "phpQuery is a server-side, chainable, CSS3 selector driven Document Object Model (DOM) API based on jQuery JavaScript Library",
        "homepage": "http://code.google.com/p/phpquery/"
    },
    {
        "name": "ezyang/htmlpurifier",
        "version": "v4.12.0",
        "version_normalized": "4.12.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ezyang/htmlpurifier.git",
            "reference": "a617e55bc62a87eec73bd456d146d134ad716f03"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ezyang/htmlpurifier/zipball/a617e55bc62a87eec73bd456d146d134ad716f03",
            "reference": "a617e55bc62a87eec73bd456d146d134ad716f03",
            "shasum": ""
        },
        "require": {
            "php": ">=5.2"
        },
        "require-dev": {
            "simpletest/simpletest": "dev-master#72de02a7b80c6bb8864ef9bf66d41d2f58f826bd"
        },
        "time": "2019-10-28T03:44:26+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-0": {
                "HTMLPurifier": "library/"
            },
            "files": [
                "library/HTMLPurifier.composer.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "LGPL-2.1-or-later"
        ],
        "authors": [
            {
                "name": "Edward Z. Yang",
                "email": "admin@htmlpurifier.org",
                "homepage": "http://ezyang.com"
            }
        ],
        "description": "Standards compliant HTML filter written in PHP",
        "homepage": "http://htmlpurifier.org/",
        "keywords": [
            "html"
        ]
    },
    {
        "name": "guzzlehttp/guzzle",
        "version": "7.2.0",
        "version_normalized": "7.2.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/guzzle.git",
            "reference": "0aa74dfb41ae110835923ef10a9d803a22d50e79"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/guzzle/zipball/0aa74dfb41ae110835923ef10a9d803a22d50e79",
            "reference": "0aa74dfb41ae110835923ef10a9d803a22d50e79",
            "shasum": ""
        },
        "require": {
            "ext-json": "*",
            "guzzlehttp/promises": "^1.4",
            "guzzlehttp/psr7": "^1.7",
            "php": "^7.2.5 || ^8.0",
            "psr/http-client": "^1.0"
        },
        "provide": {
            "psr/http-client-implementation": "1.0"
        },
        "require-dev": {
            "ext-curl": "*",
            "php-http/client-integration-tests": "^3.0",
            "phpunit/phpunit": "^8.5.5 || ^9.3.5",
            "psr/log": "^1.1"
        },
        "suggest": {
            "ext-curl": "Required for CURL handler support",
            "ext-intl": "Required for Internationalized Domain Name (IDN) support",
            "psr/log": "Required for using the Log middleware"
        },
        "time": "2020-10-10T11:47:56+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "7.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            },
            {
                "name": "Márk Sági-Kazár",
                "email": "mark.sagikazar@gmail.com",
                "homepage": "https://sagikazarmark.hu"
            }
        ],
        "description": "Guzzle is a PHP HTTP client library",
        "homepage": "http://guzzlephp.org/",
        "keywords": [
            "client",
            "curl",
            "framework",
            "http",
            "http client",
            "psr-18",
            "psr-7",
            "rest",
            "web service"
        ],
        "funding": [
            {
                "url": "https://github.com/GrahamCampbell",
                "type": "github"
            },
            {
                "url": "https://github.com/Nyholm",
                "type": "github"
            },
            {
                "url": "https://github.com/alexeyshockov",
                "type": "github"
            },
            {
                "url": "https://github.com/gmponos",
                "type": "github"
            }
        ]
    },
    {
        "name": "guzzlehttp/promises",
        "version": "1.4.0",
        "version_normalized": "1.4.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/promises.git",
            "reference": "60d379c243457e073cff02bc323a2a86cb355631"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/promises/zipball/60d379c243457e073cff02bc323a2a86cb355631",
            "reference": "60d379c243457e073cff02bc323a2a86cb355631",
            "shasum": ""
        },
        "require": {
            "php": ">=5.5"
        },
        "require-dev": {
            "symfony/phpunit-bridge": "^4.4 || ^5.1"
        },
        "time": "2020-09-30T07:37:28+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.4-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Promise\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Guzzle promises library",
        "keywords": [
            "promise"
        ]
    },
    {
        "name": "guzzlehttp/psr7",
        "version": "1.7.0",
        "version_normalized": "1.7.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/psr7.git",
            "reference": "53330f47520498c0ae1f61f7e2c90f55690c06a3"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/psr7/zipball/53330f47520498c0ae1f61f7e2c90f55690c06a3",
            "reference": "53330f47520498c0ae1f61f7e2c90f55690c06a3",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0",
            "psr/http-message": "~1.0",
            "ralouphie/getallheaders": "^2.0.5 || ^3.0.0"
        },
        "provide": {
            "psr/http-message-implementation": "1.0"
        },
        "require-dev": {
            "ext-zlib": "*",
            "phpunit/phpunit": "~4.8.36 || ^5.7.27 || ^6.5.14 || ^7.5.20 || ^8.5.8 || ^9.3.10"
        },
        "suggest": {
            "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
        },
        "time": "2020-09-30T07:37:11+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.7-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Psr7\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            },
            {
                "name": "Tobias Schultze",
                "homepage": "https://github.com/Tobion"
            }
        ],
        "description": "PSR-7 message implementation that also provides common utility methods",
        "keywords": [
            "http",
            "message",
            "psr-7",
            "request",
            "response",
            "stream",
            "uri",
            "url"
        ]
    },
    {
        "name": "jaeger/g-http",
        "version": "V1.7.0",
        "version_normalized": "1.7.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/jae-jae/GHttp.git",
            "reference": "9639bd2b24367eae32dba7f4d4a231ae8ea0a0bb"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/jae-jae/GHttp/zipball/9639bd2b24367eae32dba7f4d4a231ae8ea0a0bb",
            "reference": "9639bd2b24367eae32dba7f4d4a231ae8ea0a0bb",
            "shasum": ""
        },
        "require": {
            "cache/filesystem-adapter": "^1.0",
            "guzzlehttp/guzzle": "^7.1"
        },
        "time": "2020-09-27T08:23:30+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Jaeger\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Jaeger",
                "email": "JaegerCode@gmail.com"
            }
        ],
        "description": "Simple Http client base on GuzzleHttp"
    },
    {
        "name": "jaeger/phpquery-single",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/jae-jae/phpQuery-single.git",
            "reference": "fb80b4a0e5a337438d26e061ec3fb725c9f2a116"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/jae-jae/phpQuery-single/zipball/fb80b4a0e5a337438d26e061ec3fb725c9f2a116",
            "reference": "fb80b4a0e5a337438d26e061ec3fb725c9f2a116",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2019-11-05T01:50:34+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "classmap": [
                "phpQuery.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Tobiasz Cudnik",
                "email": "tobiasz.cudnik@gmail.com",
                "homepage": "https://github.com/TobiaszCudnik",
                "role": "Developer"
            },
            {
                "name": "Jaeger",
                "role": "Packager"
            }
        ],
        "description": "phpQuery单文件版本，是Querylist的依赖(http://querylist.cc/)，phpQuery项目主页:http://code.google.com/p/phpquery/",
        "homepage": "http://code.google.com/p/phpquery/"
    },
    {
        "name": "jaeger/querylist",
        "version": "V4.2.6",
        "version_normalized": "4.2.6.0",
        "source": {
            "type": "git",
            "url": "https://github.com/jae-jae/QueryList.git",
            "reference": "465c6aefc7ca08c4d81de2556ab765918c0a35ce"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/jae-jae/QueryList/zipball/465c6aefc7ca08c4d81de2556ab765918c0a35ce",
            "reference": "465c6aefc7ca08c4d81de2556ab765918c0a35ce",
            "shasum": ""
        },
        "require": {
            "ext-dom": "*",
            "jaeger/g-http": "^1.1",
            "jaeger/phpquery-single": "^1",
            "php": ">=7.1",
            "tightenco/collect": "^8.0"
        },
        "require-dev": {
            "phpunit/phpunit": "^8.5",
            "symfony/var-dumper": "^3.3"
        },
        "time": "2020-09-27T09:41:44+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "QL\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Jaeger",
                "email": "JaegerCode@gmail.com"
            }
        ],
        "description": "Simple, elegant, extensible PHP Web Scraper (crawler/spider),Use the css3 dom selector,Based on phpQuery! 简洁、优雅、可扩展的PHP采集工具(爬虫)，基于phpQuery。",
        "homepage": "http://querylist.cc",
        "keywords": [
            "QueryList",
            "phpQuery",
            "spider"
        ],
        "funding": [
            {
                "url": "https://opencollective.com/querylist",
                "type": "open_collective"
            }
        ]
    },
    {
        "name": "league/flysystem",
        "version": "1.1.3",
        "version_normalized": "1.1.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thephpleague/flysystem.git",
            "reference": "9be3b16c877d477357c015cec057548cf9b2a14a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thephpleague/flysystem/zipball/9be3b16c877d477357c015cec057548cf9b2a14a",
            "reference": "9be3b16c877d477357c015cec057548cf9b2a14a",
            "shasum": ""
        },
        "require": {
            "ext-fileinfo": "*",
            "league/mime-type-detection": "^1.3",
            "php": "^7.2.5 || ^8.0"
        },
        "conflict": {
            "league/flysystem-sftp": "<1.0.6"
        },
        "require-dev": {
            "phpspec/prophecy": "^1.11.1",
            "phpunit/phpunit": "^8.5.8"
        },
        "suggest": {
            "ext-fileinfo": "Required for MimeType",
            "ext-ftp": "Allows you to use FTP server storage",
            "ext-openssl": "Allows you to use FTPS server storage",
            "league/flysystem-aws-s3-v2": "Allows you to use S3 storage with AWS SDK v2",
            "league/flysystem-aws-s3-v3": "Allows you to use S3 storage with AWS SDK v3",
            "league/flysystem-azure": "Allows you to use Windows Azure Blob storage",
            "league/flysystem-cached-adapter": "Flysystem adapter decorator for metadata caching",
            "league/flysystem-eventable-filesystem": "Allows you to use EventableFilesystem",
            "league/flysystem-rackspace": "Allows you to use Rackspace Cloud Files",
            "league/flysystem-sftp": "Allows you to use SFTP server storage via phpseclib",
            "league/flysystem-webdav": "Allows you to use WebDAV storage",
            "league/flysystem-ziparchive": "Allows you to use ZipArchive adapter",
            "spatie/flysystem-dropbox": "Allows you to use Dropbox storage",
            "srmklive/flysystem-dropbox-v2": "Allows you to use Dropbox storage for PHP 5 applications"
        },
        "time": "2020-08-23T07:39:11+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "League\\Flysystem\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Frank de Jonge",
                "email": "info@frenky.net"
            }
        ],
        "description": "Filesystem abstraction: Many filesystems, one API.",
        "keywords": [
            "Cloud Files",
            "WebDAV",
            "abstraction",
            "aws",
            "cloud",
            "copy.com",
            "dropbox",
            "file systems",
            "files",
            "filesystem",
            "filesystems",
            "ftp",
            "rackspace",
            "remote",
            "s3",
            "sftp",
            "storage"
        ],
        "funding": [
            {
                "url": "https://offset.earth/frankdejonge",
                "type": "other"
            }
        ]
    },
    {
        "name": "league/mime-type-detection",
        "version": "1.5.1",
        "version_normalized": "1.5.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thephpleague/mime-type-detection.git",
            "reference": "353f66d7555d8a90781f6f5e7091932f9a4250aa"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thephpleague/mime-type-detection/zipball/353f66d7555d8a90781f6f5e7091932f9a4250aa",
            "reference": "353f66d7555d8a90781f6f5e7091932f9a4250aa",
            "shasum": ""
        },
        "require": {
            "ext-fileinfo": "*",
            "php": "^7.2 || ^8.0"
        },
        "require-dev": {
            "phpstan/phpstan": "^0.12.36",
            "phpunit/phpunit": "^8.5.8"
        },
        "time": "2020-10-18T11:50:25+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "League\\MimeTypeDetection\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Frank de Jonge",
                "email": "info@frankdejonge.nl"
            }
        ],
        "description": "Mime-type detection for Flysystem",
        "funding": [
            {
                "url": "https://github.com/frankdejonge",
                "type": "github"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/league/flysystem",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "mindplay/annotations",
        "version": "1.3.1",
        "version_normalized": "1.3.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-annotations/php-annotations.git",
            "reference": "77ef66f79fb65a7b7e7e005be0bd6b643de43867"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-annotations/php-annotations/zipball/77ef66f79fb65a7b7e7e005be0bd6b643de43867",
            "reference": "77ef66f79fb65a7b7e7e005be0bd6b643de43867",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "require-dev": {
            "phpunit/php-code-coverage": "~1.2.1",
            "phpunit/php-file-iterator": ">=1.3.0@stable"
        },
        "time": "2019-01-15T17:03:08+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.3.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "mindplay\\annotations\\": "src\\annotations"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "LGPL-3.0+"
        ],
        "authors": [
            {
                "name": "Rasmus Schultz",
                "email": "rasmus@mindplay.dk"
            }
        ],
        "description": "Industrial-strength annotations for PHP",
        "homepage": "http://blog.mindplay.dk/",
        "keywords": [
            "annotations",
            "framework"
        ]
    },
    {
        "name": "phpmailer/phpmailer",
        "version": "v6.1.4",
        "version_normalized": "6.1.4.0",
        "source": {
            "type": "git",
            "url": "https://github.com/PHPMailer/PHPMailer.git",
            "reference": "c5e61d0729507049cec9673aa1a679f9adefd683"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/PHPMailer/PHPMailer/zipball/c5e61d0729507049cec9673aa1a679f9adefd683",
            "reference": "c5e61d0729507049cec9673aa1a679f9adefd683",
            "shasum": ""
        },
        "require": {
            "ext-ctype": "*",
            "ext-filter": "*",
            "php": ">=5.5.0"
        },
        "require-dev": {
            "doctrine/annotations": "^1.2",
            "friendsofphp/php-cs-fixer": "^2.2",
            "phpunit/phpunit": "^4.8 || ^5.7"
        },
        "suggest": {
            "ext-mbstring": "Needed to send email in multibyte encoding charset",
            "hayageek/oauth2-yahoo": "Needed for Yahoo XOAUTH2 authentication",
            "league/oauth2-google": "Needed for Google XOAUTH2 authentication",
            "psr/log": "For optional PSR-3 debug logging",
            "stevenmaguire/oauth2-microsoft": "Needed for Microsoft XOAUTH2 authentication",
            "symfony/polyfill-mbstring": "To support UTF-8 if the Mbstring PHP extension is not enabled (^1.2)"
        },
        "time": "2019-12-10T11:17:38+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "PHPMailer\\PHPMailer\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "LGPL-2.1-only"
        ],
        "authors": [
            {
                "name": "Marcus Bointon",
                "email": "phpmailer@synchromedia.co.uk"
            },
            {
                "name": "Jim Jagielski",
                "email": "jimjag@gmail.com"
            },
            {
                "name": "Andy Prevost",
                "email": "codeworxtech@users.sourceforge.net"
            },
            {
                "name": "Brent R. Matzelle"
            }
        ],
        "description": "PHPMailer is a full-featured email creation and transfer class for PHP"
    },
    {
        "name": "psr/cache",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/cache.git",
            "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/cache/zipball/d11b50ad223250cf17b86e38383413f5a6764bf8",
            "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2016-08-06T20:24:11+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Cache\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for caching libraries",
        "keywords": [
            "cache",
            "psr",
            "psr-6"
        ]
    },
    {
        "name": "psr/http-client",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-client.git",
            "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-client/zipball/2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
            "reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
            "shasum": ""
        },
        "require": {
            "php": "^7.0 || ^8.0",
            "psr/http-message": "^1.0"
        },
        "time": "2020-06-29T06:28:15+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Client\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP clients",
        "homepage": "https://github.com/php-fig/http-client",
        "keywords": [
            "http",
            "http-client",
            "psr",
            "psr-18"
        ]
    },
    {
        "name": "psr/http-message",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/http-message.git",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
            "reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2016-08-06T14:39:51+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Http\\Message\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for HTTP messages",
        "homepage": "https://github.com/php-fig/http-message",
        "keywords": [
            "http",
            "http-message",
            "psr",
            "psr-7",
            "request",
            "response"
        ]
    },
    {
        "name": "psr/log",
        "version": "1.1.3",
        "version_normalized": "1.1.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/log.git",
            "reference": "0f73288fd15629204f9d42b7055f72dacbe811fc"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/log/zipball/0f73288fd15629204f9d42b7055f72dacbe811fc",
            "reference": "0f73288fd15629204f9d42b7055f72dacbe811fc",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2020-03-23T09:12:05+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\Log\\": "Psr/Log/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interface for logging libraries",
        "homepage": "https://github.com/php-fig/log",
        "keywords": [
            "log",
            "psr",
            "psr-3"
        ]
    },
    {
        "name": "psr/simple-cache",
        "version": "1.0.1",
        "version_normalized": "1.0.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/php-fig/simple-cache.git",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "reference": "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.0"
        },
        "time": "2017-10-23T01:57:42+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.0.x-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Psr\\SimpleCache\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "PHP-FIG",
                "homepage": "http://www.php-fig.org/"
            }
        ],
        "description": "Common interfaces for simple caching",
        "keywords": [
            "cache",
            "caching",
            "psr",
            "psr-16",
            "simple-cache"
        ]
    },
    {
        "name": "ralouphie/getallheaders",
        "version": "3.0.3",
        "version_normalized": "3.0.3.0",
        "source": {
            "type": "git",
            "url": "https://github.com/ralouphie/getallheaders.git",
            "reference": "120b605dfeb996808c31b6477290a714d356e822"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
            "reference": "120b605dfeb996808c31b6477290a714d356e822",
            "shasum": ""
        },
        "require": {
            "php": ">=5.6"
        },
        "require-dev": {
            "php-coveralls/php-coveralls": "^2.1",
            "phpunit/phpunit": "^5 || ^6.5"
        },
        "time": "2019-03-08T08:55:37+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/getallheaders.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Ralph Khattar",
                "email": "ralph.khattar@gmail.com"
            }
        ],
        "description": "A polyfill for getallheaders."
    },
    {
        "name": "symfony/polyfill-mbstring",
        "version": "v1.18.1",
        "version_normalized": "1.18.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-mbstring.git",
            "reference": "a6977d63bf9a0ad4c65cd352709e230876f9904a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/a6977d63bf9a0ad4c65cd352709e230876f9904a",
            "reference": "a6977d63bf9a0ad4c65cd352709e230876f9904a",
            "shasum": ""
        },
        "require": {
            "php": ">=5.3.3"
        },
        "suggest": {
            "ext-mbstring": "For best performance"
        },
        "time": "2020-07-14T12:35:20+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.18-dev"
            },
            "thanks": {
                "name": "symfony/polyfill",
                "url": "https://github.com/symfony/polyfill"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Mbstring\\": ""
            },
            "files": [
                "bootstrap.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill for the Mbstring extension",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "mbstring",
            "polyfill",
            "portable",
            "shim"
        ],
        "funding": [
            {
                "url": "https://symfony.com/sponsor",
                "type": "custom"
            },
            {
                "url": "https://github.com/fabpot",
                "type": "github"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "symfony/polyfill-php80",
        "version": "v1.18.1",
        "version_normalized": "1.18.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/polyfill-php80.git",
            "reference": "d87d5766cbf48d72388a9f6b85f280c8ad51f981"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/polyfill-php80/zipball/d87d5766cbf48d72388a9f6b85f280c8ad51f981",
            "reference": "d87d5766cbf48d72388a9f6b85f280c8ad51f981",
            "shasum": ""
        },
        "require": {
            "php": ">=7.0.8"
        },
        "time": "2020-07-14T12:35:20+00:00",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.18-dev"
            },
            "thanks": {
                "name": "symfony/polyfill",
                "url": "https://github.com/symfony/polyfill"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "Symfony\\Polyfill\\Php80\\": ""
            },
            "files": [
                "bootstrap.php"
            ],
            "classmap": [
                "Resources/stubs"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Ion Bazan",
                "email": "ion.bazan@gmail.com"
            },
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony polyfill backporting some PHP 8.0+ features to lower PHP versions",
        "homepage": "https://symfony.com",
        "keywords": [
            "compatibility",
            "polyfill",
            "portable",
            "shim"
        ],
        "funding": [
            {
                "url": "https://symfony.com/sponsor",
                "type": "custom"
            },
            {
                "url": "https://github.com/fabpot",
                "type": "github"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "symfony/var-dumper",
        "version": "v5.1.7",
        "version_normalized": "5.1.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/symfony/var-dumper.git",
            "reference": "c976c115a0d788808f7e71834c8eb0844f678d02"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/symfony/var-dumper/zipball/c976c115a0d788808f7e71834c8eb0844f678d02",
            "reference": "c976c115a0d788808f7e71834c8eb0844f678d02",
            "shasum": ""
        },
        "require": {
            "php": ">=7.2.5",
            "symfony/polyfill-mbstring": "~1.0",
            "symfony/polyfill-php80": "^1.15"
        },
        "conflict": {
            "phpunit/phpunit": "<5.4.3",
            "symfony/console": "<4.4"
        },
        "require-dev": {
            "ext-iconv": "*",
            "symfony/console": "^4.4|^5.0",
            "symfony/process": "^4.4|^5.0",
            "twig/twig": "^2.4|^3.0"
        },
        "suggest": {
            "ext-iconv": "To convert non-UTF-8 strings to UTF-8 (or symfony/polyfill-iconv in case ext-iconv cannot be used).",
            "ext-intl": "To show region name in time zone dump",
            "symfony/console": "To use the ServerDumpCommand and/or the bin/var-dump-server script"
        },
        "time": "2020-09-18T14:27:32+00:00",
        "bin": [
            "Resources/bin/var-dump-server"
        ],
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "5.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "files": [
                "Resources/functions/dump.php"
            ],
            "psr-4": {
                "Symfony\\Component\\VarDumper\\": ""
            },
            "exclude-from-classmap": [
                "/Tests/"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Nicolas Grekas",
                "email": "p@tchwork.com"
            },
            {
                "name": "Symfony Community",
                "homepage": "https://symfony.com/contributors"
            }
        ],
        "description": "Symfony mechanism for exploring and dumping PHP variables",
        "homepage": "https://symfony.com",
        "keywords": [
            "debug",
            "dump"
        ],
        "funding": [
            {
                "url": "https://symfony.com/sponsor",
                "type": "custom"
            },
            {
                "url": "https://github.com/fabpot",
                "type": "github"
            },
            {
                "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                "type": "tidelift"
            }
        ]
    },
    {
        "name": "thinkcmf/cmf",
        "version": "v5.1.11",
        "version_normalized": "5.1.11.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thinkcmf/cmf-core.git",
            "reference": "f9e726abc3b6412bdce8b5d1e426e40bb2932380"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thinkcmf/cmf-core/zipball/f9e726abc3b6412bdce8b5d1e426e40bb2932380",
            "reference": "f9e726abc3b6412bdce8b5d1e426e40bb2932380",
            "shasum": ""
        },
        "require": {
            "electrolinux/phpquery": "^0.9.6",
            "ezyang/htmlpurifier": "^4.9",
            "mindplay/annotations": "^1.3",
            "phpmailer/phpmailer": "~6.0",
            "thinkcmf/cmf-extend": "~5.1.0",
            "topthink/framework": "~5.1.0",
            "topthink/think-captcha": "^2.0"
        },
        "time": "2019-12-16T09:51:55+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "cmf\\": "src"
            },
            "files": [
                "src/common.php"
            ],
            "classmap": [
                "src/App.php",
                "src/Log.php",
                "src/route/dispatch/Module.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "catman",
                "email": "catman@thinkcmf.com"
            }
        ],
        "description": "The ThinkCMF Core Package"
    },
    {
        "name": "thinkcmf/cmf-api",
        "version": "v5.1.6",
        "version_normalized": "5.1.6.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thinkcmf/cmf-api.git",
            "reference": "a7d9edecc8c44aec6395dac8678a2577127f776d"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thinkcmf/cmf-api/zipball/a7d9edecc8c44aec6395dac8678a2577127f776d",
            "reference": "a7d9edecc8c44aec6395dac8678a2577127f776d",
            "shasum": ""
        },
        "require": {
            "thinkcmf/cmf": "~5.1.0"
        },
        "time": "2019-07-23T23:29:11+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "api\\": "src"
            },
            "files": []
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "catman",
                "email": "catman@thinkcmf.com"
            }
        ],
        "description": "The ThinkCMF 5.1 Core Api Package"
    },
    {
        "name": "thinkcmf/cmf-app",
        "version": "v5.1.6",
        "version_normalized": "5.1.6.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thinkcmf/cmf-app.git",
            "reference": "dd02fc871dcfccc59ac21750ce6ddec359e79e7d"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thinkcmf/cmf-app/zipball/dd02fc871dcfccc59ac21750ce6ddec359e79e7d",
            "reference": "dd02fc871dcfccc59ac21750ce6ddec359e79e7d",
            "shasum": ""
        },
        "require": {
            "thinkcmf/cmf": "~5.1.0"
        },
        "time": "2019-09-06T03:58:33+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "app\\": "src"
            },
            "files": []
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "catman",
                "email": "catman@thinkcmf.com"
            }
        ],
        "description": "The ThinkCMF App Package"
    },
    {
        "name": "thinkcmf/cmf-extend",
        "version": "v5.1.0",
        "version_normalized": "5.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thinkcmf/cmf-extend.git",
            "reference": "39cbfdc69980a4f4b98ee82fa16c605004f26f5f"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thinkcmf/cmf-extend/zipball/39cbfdc69980a4f4b98ee82fa16c605004f26f5f",
            "reference": "39cbfdc69980a4f4b98ee82fa16c605004f26f5f",
            "shasum": ""
        },
        "time": "2019-03-04T05:15:23+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "dir\\": "src/dir",
                "tree\\": "src/tree",
                "wxapp\\": "src/wxapp"
            },
            "files": []
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "catman",
                "email": "catman@thinkcmf.com"
            }
        ],
        "description": "The ThinkCMF extend Package"
    },
    {
        "name": "thinkcmf/cmf-install",
        "version": "v5.1.4",
        "version_normalized": "5.1.4.0",
        "source": {
            "type": "git",
            "url": "https://github.com/thinkcmf/cmf-install.git",
            "reference": "651f7ff4d4413e2bcf98823853144bb2b67f671a"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/thinkcmf/cmf-install/zipball/651f7ff4d4413e2bcf98823853144bb2b67f671a",
            "reference": "651f7ff4d4413e2bcf98823853144bb2b67f671a",
            "shasum": ""
        },
        "time": "2019-07-23T23:26:40+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "app\\install\\": "src"
            },
            "files": []
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "catman",
                "email": "catman@thinkcmf.com"
            }
        ],
        "description": "The ThinkCMF Install Package"
    },
    {
        "name": "tightenco/collect",
        "version": "v8.0.4",
        "version_normalized": "8.0.4.0",
        "source": {
            "type": "git",
            "url": "https://github.com/tighten/collect.git",
            "reference": "0d261a13c36fe964449d0240744eb4094ac3cd12"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/tighten/collect/zipball/0d261a13c36fe964449d0240744eb4094ac3cd12",
            "reference": "0d261a13c36fe964449d0240744eb4094ac3cd12",
            "shasum": ""
        },
        "require": {
            "php": "^7.1.3",
            "symfony/var-dumper": "^3.4 || ^4.0 || ^5.0"
        },
        "require-dev": {
            "mockery/mockery": "^1.0",
            "nesbot/carbon": "^2.23.0",
            "phpunit/phpunit": "^7.0"
        },
        "time": "2020-09-14T22:38:08+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "files": [
                "src/Collect/Support/helpers.php",
                "src/Collect/Support/alias.php"
            ],
            "psr-4": {
                "Tightenco\\Collect\\": "src/Collect"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Taylor Otwell",
                "email": "taylorotwell@gmail.com"
            }
        ],
        "description": "Collect - Illuminate Collections as a separate package.",
        "keywords": [
            "collection",
            "laravel"
        ]
    },
    {
        "name": "topthink/framework",
        "version": "v5.1.39",
        "version_normalized": "5.1.39.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/framework.git",
            "reference": "5762858f3d58faafb3a39427f8788884b2927007"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/framework/zipball/5762858f3d58faafb3a39427f8788884b2927007",
            "reference": "5762858f3d58faafb3a39427f8788884b2927007",
            "shasum": ""
        },
        "require": {
            "php": ">=5.6.0",
            "topthink/think-installer": "2.*"
        },
        "require-dev": {
            "johnkary/phpunit-speedtrap": "^1.0",
            "mikey179/vfsstream": "~1.6",
            "phpdocumentor/reflection-docblock": "^2.0",
            "phploc/phploc": "2.*",
            "phpunit/phpunit": "^5.0|^6.0",
            "sebastian/phpcpd": "2.*",
            "squizlabs/php_codesniffer": "2.*"
        },
        "time": "2019-11-17T23:22:02+00:00",
        "type": "think-framework",
        "installation-source": "dist",
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "liu21st",
                "email": "liu21st@gmail.com"
            },
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ],
        "description": "the new thinkphp framework",
        "homepage": "http://thinkphp.cn/",
        "keywords": [
            "framework",
            "orm",
            "thinkphp"
        ]
    },
    {
        "name": "topthink/think-captcha",
        "version": "v2.0.2",
        "version_normalized": "2.0.2.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/think-captcha.git",
            "reference": "54c8a51552f99ff9ea89ea9c272383a8f738ceee"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/think-captcha/zipball/54c8a51552f99ff9ea89ea9c272383a8f738ceee",
            "reference": "54c8a51552f99ff9ea89ea9c272383a8f738ceee",
            "shasum": ""
        },
        "require": {
            "topthink/framework": "5.1.*"
        },
        "time": "2017-12-31T16:37:49+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\captcha\\": "src/"
            },
            "files": [
                "src/helper.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ],
        "description": "captcha package for thinkphp5"
    },
    {
        "name": "topthink/think-helper",
        "version": "v1.0.7",
        "version_normalized": "1.0.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/think-helper.git",
            "reference": "5f92178606c8ce131d36b37a57c58eb71e55f019"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/think-helper/zipball/5f92178606c8ce131d36b37a57c58eb71e55f019",
            "reference": "5f92178606c8ce131d36b37a57c58eb71e55f019",
            "shasum": ""
        },
        "time": "2018-10-05T00:43:21+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\helper\\": "src"
            },
            "files": [
                "src/helper.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ],
        "description": "The ThinkPHP5 Helper Package"
    },
    {
        "name": "topthink/think-image",
        "version": "v1.0.7",
        "version_normalized": "1.0.7.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/think-image.git",
            "reference": "8586cf47f117481c6d415b20f7dedf62e79d5512"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/think-image/zipball/8586cf47f117481c6d415b20f7dedf62e79d5512",
            "reference": "8586cf47f117481c6d415b20f7dedf62e79d5512",
            "shasum": ""
        },
        "require": {
            "ext-gd": "*"
        },
        "require-dev": {
            "phpunit/phpunit": "4.8.*",
            "topthink/framework": "^5.0"
        },
        "time": "2016-09-29T06:05:43+00:00",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ],
        "description": "The ThinkPHP5 Image Package"
    },
    {
        "name": "topthink/think-installer",
        "version": "v2.0.0",
        "version_normalized": "2.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/think-installer.git",
            "reference": "f5400a12c60e513911aef41fe443fa6920952675"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/think-installer/zipball/f5400a12c60e513911aef41fe443fa6920952675",
            "reference": "f5400a12c60e513911aef41fe443fa6920952675",
            "shasum": ""
        },
        "require": {
            "composer-plugin-api": "^1.0"
        },
        "require-dev": {
            "composer/composer": "1.0.*@dev"
        },
        "time": "2018-05-11T06:45:42+00:00",
        "type": "composer-plugin",
        "extra": {
            "class": "think\\composer\\Plugin"
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\composer\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ]
    }
]
